Skip to content

Get Schedule

GET /schedules/{schedule_id}
NameInTypeNotes
schedule_idpathstring (uuid)required—
StatusDescriptionBody
200Successful ResponseScheduleView
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/schedules/{schedule_id} \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
idstring (uuid)required—
agent_idstring (uuid)required—
persona_idstring (uuid) | nullrequired, nullable—
kindcron | interval | one_shot | eventrequired—
labelstring | nullrequired, nullable—
cron_expressionsobject[]required—
timezonestringrequired—
interval_secondsinteger | nullrequired, nullable—
event_kindstring | nullrequired, nullable—
fire_atstring (date-time) | nullrequired, nullable—
promptstringrequired—
input_templateobject | nullrequired, nullable—
actor_contextobjectrequired—
output_configobjectrequired—
next_fire_atstring (date-time) | nullrequired, nullable—
last_fired_atstring (date-time) | nullrequired, nullable—
last_run_idstring (uuid) | nullrequired, nullable—
expires_atstring (date-time) | nullrequired, nullable—
consecutive_failuresintegerrequired—
max_failuresintegerrequired—
skipped_overlapintegerrequired—
skipped_misfiresintegerrequired—
fire_countintegerrequired—
deactivated_atstring (date-time) | nullrequired, nullable—
deactivated_reasonstring | nullrequired, nullable—
timeout_sinteger | nullrequired, nullable—
is_activebooleanrequired—
created_by_user_idstring (uuid) | nullrequired, nullable—
created_by_run_idstring (uuid) | nullrequired, nullable—
created_atstring (date-time)required—